{% extends 'base.html' %}

{% block content %}
<div class="container my-5">
    <div class="mb-5">
        {% if messages %}
        {% for message in messages %}
        {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <strong>Error: </strong> {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% else %}
        <div class="alert alert-info alert-dismissible fade show" role="alert">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% endif %}
        {% endfor %}
        {% endif %}
    </div>
    {% if staff %}
    <div class="row justify-content-center">
        <div class="col-11">
            <ul class="nav md-pills nav-justified pills-indigo ">
                <li class="nav-item m-0 p-0">
                    <a class="nav-link active" id="user-details-tab" data-toggle="tab" href="#user-details" role="tab"
                       aria-controls="user-details"
                       aria-selected="true"><i class="fas fa-users mr-2" aria-hidden="true"></i>User Details</a>
                </li>
                <li class="nav-item m-0 p-0">
                    <a class="nav-link" id="loan-tab" data-toggle="tab" href="#loans" role="tab"
                       aria-controls="loans"
                       aria-selected="false"><i class="fas fa-file-invoice-dollar mr-2"></i>Loans</a>
                </li>
                <li class="nav-item m-0 p-0">
                    <a class="nav-link" id="contrib-tab" data-toggle="tab" href="#contributions" role="tab"
                       aria-controls="contributions"
                       aria-selected="false"><i class="fas fa-dollar-sign mr-2"></i>Contributions</a>
                </li>
            </ul>

            <!---- tab contents --->
            <div class="tab-content card" id="myTabContentJust">
                <div class="tab-pane fade show active" id="user-details" role="tabpanel"
                     aria-labelledby="user-details-tab">
                    <div class="container">
                        <div class="row justify-content-center mt-3">
                            <div class="col-md-9">
                                {% include 'user_details.html' %}
                            </div>
                        </div>
                        <div class="row justify-content-center mt-4">
                            <div class="col-">
                                <a href="{% url 'update_user' staff.id %}"
                                   class="btn btn-indigo btn-rounded waves-effect"><i
                                        class="fas fa-pen fa-1x mr-2"></i>Update User</a>
                                <a href="{% url 'del_user' staff.id %}"
                                   class="btn btn-blue-grey btn-rounded waves-effect"><i
                                        class="fas fa-trash fa-1x mr-2"></i>Delete User</a>

                            </div>

                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="loans" role="tabpanel" aria-labelledby="loan-tab">
                    <div class="container">
                        <div class="row justify-content-center">
                            <div class="col-md-9">
                                <div class="row justify-content-end mr-1">
                                    <a href="{% url 'add_loan' %}?id={{ staff.id }}"
                                       class="btn btn-outline-deep-purple btn-sm font-weight-bold">
                                        <i class="fa fa-plus mr-1" aria-hidden="true"></i>Add Loan</a>
                                    <a href="{% url 'export_user_loan' staff.id %}"
                                       class="btn btn-sm btn-outline-primary font-weight-bold">
                                        <i class="fas fa-download mr-2"></i>Export Loans</a>
                                </div>
                                {% include 'loans_short.html' %}
                            </div>

                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="contributions" role="tabpanel" aria-labelledby="contrib-tab">
                    <div class="container">
                        <div class="row justify-content-center">
                            <div class="col-md-9">
                                <div class="row justify-content-end mr-1">
                                    <a href="{% url 'add_contrib' %}?id={{ staff.id }}"
                                       class="btn btn-sm btn-outline-deep-purple font-weight-bold">
                                        <i class="fa fa-plus mr-1" aria-hidden="true"></i>Add Contribution</a>
                                    <a href="{% url 'export_user_contrib' staff.id %}"
                                       class="btn btn-sm btn-outline-primary font-weight-bold">
                                        <i class="fas fa-download mr-2"></i>Export Contributions</a>

                                </div>

                                {% include 'contributions_short.html' %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% else %}
    <p class="note note-danger"><strong>Error: </strong> The staff does not exist.</p>
    {% endif %}

</div>
{% endblock %}